#
# spec file for package python-pybeam
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pybeam
Version:        0.4.1
Release:        1.9
Summary:        Python module to parse Erlang BEAM files
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/matwey/pybeam
Source:         https://files.pythonhosted.org/packages/source/p/pybeam/pybeam-%{version}.tar.gz
Source1:        LICENSE
BuildRequires:  %{python_module construct < 2.9}
BuildRequires:  %{python_module construct >= 2.8}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  python-rpm-macros
Requires:       python-construct
Requires:       python-six >= 1.4.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Python module to parse Erlang BEAM files, now it is able to read
imports, exports, atoms, as well as compile info and attribute
chunks in pretty python format.

%prep
%setup -q -n pybeam-%{version}
cp %{S:1} .

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/*

%changelog
* Mon Mar 19 2018 matwey.kornilov@gmail.com
- Version 0.4.1 (bsc#1089748):
  - Add support for AtU8 chuck (fix Erlang 20.0 beam file format)
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Fri Jan 20 2017 matwey.kornilov@gmail.com
- Version 0.4:
  - ported to construct 2.8.x
* Wed Jan 18 2017 matwey.kornilov@gmail.com
- Update Source url
* Sun Jan  8 2017 matwey.kornilov@gmail.com
- Only consruct 2.5.x is supported by pybeam 0.3.x
* Sat May 31 2014 matwey.kornilov@gmail.com
- Version 0.3.2:
  - add support for Erlang 17.0 (maps)
* Sat Mar 29 2014 matwey.kornilov@gmail.com
- Verision 0.3.1:
  - fix parsing lists with not-null tail
  - fix parsing strings ( six > 1.4.0 is required to support both
    python 2 and python 3 )
* Thu Feb 20 2014 matwey.kornilov@gmail.com
- Version 0.3:
  - python 3.3 support
  - minor fixes and add more unit-tests
  - Code LitT FunT chunk now understood
* Mon May  6 2013 matwey.kornilov@gmail.com
- Version 0.2:
  - fixed floating point parsing
  - fixed Atom lists indexation
* Wed May  1 2013 matwey.kornilov@gmail.com
- Initial version
